#! /usr/bin/env bash
if [ -d $1 ]
then
    if ! gum confirm "$(basename $1) is directory! Do you really want to delete it?"
    then
        exit 1
    fi
fi

mv $(realpath $1) $HOME/.local/share/Trash/files/
echo -e "[Trash Info]\nPath=$(realpath $1)\nDeletionDate=$(date "+%Y-%m-%dT%H:%M:%S")" > $HOME/.local/share/Trash/info/$(basename $1).trashinfo
gum style --bold --border rounded --border-foreground "#F5A9B8" --foreground "#5BCEFA" "$(basename $1) has been thrown in the bin"